Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157620 - can't convert ports such as "6881" to service name, so can't start
Summary: can't convert ports such as "6881" to service name, so can't start
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-securitylevel
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Lumens
QA Contact:
URL:
Whiteboard:
: 164542 166725 (view as bug list)
Depends On:
Blocks: FC5Blocker FC4Update
TreeView+ depends on / blocked
 
Reported: 2005-05-13 07:26 UTC by han pingtian
Modified: 2007-11-30 22:11 UTC (History)
3 users (show)

Fixed In Version: 1.5.8.1-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-16 15:32:34 UTC


Attachments (Terms of Use)

Description han pingtian 2005-05-13 07:26:09 UTC
Description of problem:
When I input the "6881:tcp" in system-config-securitylevel's firewall rule,
it couldn't start next time. And the info is :

Traceback (most recent call last):
  File "/usr/share/system-config-securitylevel/system-config-securitylevel.py",
line 18, in ?
    app.stand_alone()
  File "/usr/share/system-config-securitylevel/securitylevel.py", line 453, in
stand_alone
    self.readFile()
  File "/usr/share/system-config-securitylevel/securitylevel.py", line 353, in
readFile
    protoname = socket.getservbyport(int(service), protocol)
socket.error: port/proto not found

Version-Release number of selected component (if applicable):
1.5.7-2

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Chris Lumens 2005-05-13 20:30:58 UTC
I was a bit hasty marking this one as closed and fixed in rawhide.  The change
has been committed, but there's a few more things I need to take care of before
making a release.  Moving back to MODIFIED for now.

Comment 2 Chris Lumens 2005-06-09 14:40:34 UTC
Updated in Rawhide.  I'll build an FC4 update just as soon as FC4 is out.

Comment 3 Emily Brantley 2005-06-16 02:26:57 UTC
since FC4 is out now, is this update ready to go ?  i just ran into this error
today.  i was able to work around it, but it's not good at all.  i thought i'd
just put a little reminder.

Comment 4 Chris Lumens 2005-06-16 13:50:48 UTC
Update's built.  Waiting on some internal processes to complete before it'll be
pushed.

Comment 5 Chris Lumens 2005-06-16 15:32:34 UTC
Fixed in update FEDORA-2005-421.

Comment 6 Chris Lumens 2005-07-28 17:52:05 UTC
*** Bug 164542 has been marked as a duplicate of this bug. ***

Comment 7 Charles Simpson 2005-08-25 13:35:17 UTC
*** Bug 166725 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.